# Find out the local directory this script lives in:
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source "$DIR/base.sh"

##############################################################################
# TASK SPECIFIC CONFIGURATION VARIABLES
##############################################################################

#Bonsai Task
export PATH_TO_BONSAI_CONFIG="${PATH_TO_BONSAI_TIAGO_CONFIG}/DefaultTiagoConfig.xml"
export PATH_TO_BONSAI_TASK="${PATH_TO_BONSAI_TIAGO_SCXML}/debug/test.xml"

#pocketsphinx_grammars
export VDEMO_PSA_CONFIG="/home/mdiallo/RoboCup/robocup-speechrec/psConfig/challenge/team2/configTeam2.conf"



# ANPASSEN!
export TASKS_FOLDER="/home/mdiallo/RoboCupChallenge/robocuptasks"

if [ "$VDEMO_simulation" = true ]; then
	export PATH_TO_MAPS="${prefix}/share/tiago_clf_nav/data"
	export NAVIGATION_MAP="${PATH_TO_MAPS}/clf_furnished2-sim.yaml"	
	export PATH_TO_KBASE_CONFIG="$prefix/share/robocup_data/knowledgeBase/configs/use_challenge_db.yaml"
	export PATH_TO_EDIT_KBASE_CONFIG="$prefix/share/robocup_data/knowledgeBase/configs/edit_challenge_db.yaml"
else
	export PATH_TO_MAPS="${TASKS_FOLDER}/robocup_map"    
	export NAVIGATION_MAP="${PATH_TO_MAPS}/robocup.yaml"
	export PATH_TO_KBASE_CONFIG="$prefix/share/robocup_data/knowledgeBase/configs/use_team_2_db.yaml"
	export PATH_TO_EDIT_KBASE_CONFIG="$prefix/share/robocup_data/knowledgeBase/configs/edit_team_2_db.yaml"
fi

#Map
export NAVIGATION_WORLD="furnished_clf_actor"    


#object
export OBJECT_DET_GRAPH="${TASKS_FOLDER}/detection/output/export40000/frozen_inference_graph.pb"
export OBJECT_DET_LABELS="${TASKS_FOLDER}/detection/labelMap.pbtxt"
export OBJECT_REC_PATH="${TASKS_FOLDER}/classifier"
export OBJECT_REC_GRAPH="${OBJECT_REC_PATH}/output_graph.pb"
export OBJECT_REC_LABELS="${OBJECT_REC_PATH}/output_labels.txt"







# Other
export ACTOR_VEL_TOPIC="/Olf/cmd_vel"

#export shelf_mode=true
##############################################################################
# COMPONENT LIST
##############################################################################

export VDEMO_components="
$VDEMO_component_group_tiago_base

$VDEMO_component_group_navigation

$VDEMO_component_group_bonsai

$VDEMO_component_group_openpose

$VDEMO_component_group_person

$VDEMO_component_group_object

$VDEMO_component_group_segmentation

$VDEMO_component_group_kbase

default:
$VDEMO_component_roscore

$VDEMO_component_group_tools

speech:
$VDEMO_component_espeak
$VDEMO_component_speech_rec
$VDEMO_component_ps_web_gui
$VDEMO_component_ros_websocket
"

#$VDEMO_component_group_speech

